#ifndef __INDEX_NUM_1ARG__
#define __INDEX_NUM_1ARG__
#include "index.h"

/* assumes existence of elemop_name */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  Index ii;
  if ( nrhs != 1) 
    mexErrMsgTxt("Exactly one argument expected.");
  ii = index_readmxarray(prhs[0]);
  plhs[0] = mxCreateScalarDouble((double) elemop_name(ii));
  index_free(ii);
}

#endif
